package com.ruoyi.dxp.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 整合服务对象 dxp_service_integration
 *
 * @author jy
 * @date 2023-05-19
 */
public class ServiceIntegration extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** id */
    private Long id;

    /** 目录id */
    @Excel(name = "目录id")
    private Long catalogueId;

    /** 服务名称 */
    @Excel(name = "服务名称")
    private String serviceName;

    /** 服务地址 */
    @Excel(name = "服务地址")
    private String serviceUrl;

    /** 是否需要授权（1是） */
    @Excel(name = "是否需要授权", readConverterExp = "1=是")
    private String needAuth;

    /** 鉴权方式：关联字典 */
    @Excel(name = "鉴权方式：关联字典")
    private String authWay;

    /** 请求方法：关联字典 */
    @Excel(name = "请求方法：关联字典")
    private String requestMethod;

    /** 参数形式：关联字典 */
    @Excel(name = "参数形式：关联字典")
    private String paramForm;

    /** 响应格式：关联字典 */
    @Excel(name = "响应格式：关联字典")
    private String responseForm;

    /** 信息标识符 */
    @Excel(name = "信息标识符")
    private String infoId;

    /** 标签：多个逗号间隔 */
    @Excel(name = "标签：多个逗号间隔")
    private String tag;

    /** 提供机构：关联字典 */
    @Excel(name = "提供机构：关联字典")
    private String provideOrganization;

    /** 状态：0待审核，1审核通过，2驳回 */
    @Excel(name = "状态：0待审核，1审核通过，2驳回")
    private String status;

    /** 删除标志（0代表存在 2代表删除） */
    private String delFlag;

    /** $column.columnComment */
    @Excel(name = "${comment}", readConverterExp = "$column.readConverterExp()")
    private String filterJson;

    private Boolean isBind;

    public void setId(Long id)
    {
        this.id = id;
    }

    public Long getId()
    {
        return id;
    }
    public void setCatalogueId(Long catalogueId)
    {
        this.catalogueId = catalogueId;
    }

    public Long getCatalogueId()
    {
        return catalogueId;
    }
    public void setServiceName(String serviceName)
    {
        this.serviceName = serviceName;
    }

    public String getServiceName()
    {
        return serviceName;
    }
    public void setServiceUrl(String serviceUrl)
    {
        this.serviceUrl = serviceUrl;
    }

    public String getServiceUrl()
    {
        return serviceUrl;
    }
    public void setNeedAuth(String needAuth)
    {
        this.needAuth = needAuth;
    }

    public String getNeedAuth()
    {
        return needAuth;
    }
    public void setAuthWay(String authWay)
    {
        this.authWay = authWay;
    }

    public String getAuthWay()
    {
        return authWay;
    }
    public void setRequestMethod(String requestMethod)
    {
        this.requestMethod = requestMethod;
    }

    public String getRequestMethod()
    {
        return requestMethod;
    }
    public void setParamForm(String paramForm)
    {
        this.paramForm = paramForm;
    }

    public String getParamForm()
    {
        return paramForm;
    }
    public void setResponseForm(String responseForm)
    {
        this.responseForm = responseForm;
    }

    public String getResponseForm()
    {
        return responseForm;
    }
    public void setInfoId(String infoId)
    {
        this.infoId = infoId;
    }

    public String getInfoId()
    {
        return infoId;
    }
    public void setTag(String tag)
    {
        this.tag = tag;
    }

    public String getTag()
    {
        return tag;
    }
    public void setProvideOrganization(String provideOrganization)
    {
        this.provideOrganization = provideOrganization;
    }

    public String getProvideOrganization()
    {
        return provideOrganization;
    }
    public void setStatus(String status)
    {
        this.status = status;
    }

    public String getStatus()
    {
        return status;
    }
    public void setDelFlag(String delFlag)
    {
        this.delFlag = delFlag;
    }

    public String getDelFlag()
    {
        return delFlag;
    }
    public void setFilterJson(String filterJson)
    {
        this.filterJson = filterJson;
    }

    public String getFilterJson()
    {
        return filterJson;
    }

    public Boolean getIsBind() {
        return isBind;
    }

    public void setIsBind(Boolean isBind) {
        this.isBind = isBind;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
                .append("id", getId())
                .append("catalogueId", getCatalogueId())
                .append("serviceName", getServiceName())
                .append("serviceUrl", getServiceUrl())
                .append("needAuth", getNeedAuth())
                .append("authWay", getAuthWay())
                .append("requestMethod", getRequestMethod())
                .append("paramForm", getParamForm())
                .append("responseForm", getResponseForm())
                .append("infoId", getInfoId())
                .append("tag", getTag())
                .append("provideOrganization", getProvideOrganization())
                .append("status", getStatus())
                .append("remark", getRemark())
                .append("createBy", getCreateBy())
                .append("createTime", getCreateTime())
                .append("updateBy", getUpdateBy())
                .append("updateTime", getUpdateTime())
                .append("delFlag", getDelFlag())
                .append("filterJson", getFilterJson())
                .toString();
    }
}
